Subject: bug#71797: 30.0.60; Face of variables and function parameters in Python

From: Dmitry Gutov <[email-masked]>
Date: Fri, 28 Jun 2024 04:01:40 +0300

On 27/06/2024 17:04, Stephen Berman via Bug reports for GNU Emacs, the 
Swiss army knife of text editors wrote:
> M-x python-ts-mode.  Now the uninitialized `age', `a' and `child' as
>     well as the function parameters `num', `num1' and `num2' are all
>     fontified with font-lock-variable-name-face.

That seems all right: in all of these cases the variable is being 
introduced, aren't they?

python-mode doesn't have access to a parser of the same quality, so we 
shouldn't expect the exact same features.